Subject: bug#5551: 23.1.92; Dired shows wrongly whole directory contents

From: "Drew Adams" <[email-masked]>
Date: Wed, 10 Feb 2010 08:47:01 -0800

> > According to the doc, dired shall show single file entries 
> > when called with a list of file names. If a file name is a
> > directory, this works OK with remote directory names. But
> > with local directory names, it shows
> > the whole directory contents, which is wrong.
> 
> The doc seems ambiguous to me, and it is not clear to me what is the
> better behavior.  Do you have an argument for why displaying just the
> directory name is better?
> 
> But the present behavior has been around since at least Emacs 22, so I
> don't think we should make this change right now in any case.

Please apply Michael's patch.

When `dired' is passed a cons arg (a list of file or directory names), it should
show a Dired buffer with only those names. A directory name should be inserted
as a single line - the directory contents should *not* be inserted.

I confirm that this works correctly on Windows (e.g. 23.1 and 23-1-91 pretest),
but it works incorrectly on Linux with Emacs 21.3.1. (I don't have access to
other Emacs versions on Linux.)